<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chaos_events', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('shortname');
            $table->date('from_date_internal');
            $table->date('to_date_internal');
            $table->date('from_date_visible');
            $table->date('to_date_visible');
            $table->boolean('active')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chaos_events');
    }
};
